For the complete documentation index, see llms.txt. This page is also available as Markdown.

TaskFieldValidationTypes

Introduction

TaskFieldValidationTypes define which validation rules can be attached to TaskFields.

List

Definition

GET /api/tasks-2/field-validation-types

Request Keys

No additional request keys.

Example Request

$client = new GuzzleHttp\Client(['base_uri' => 'https://{tenant}.intratool.de']);
$response = $client->request('GET', '/api/tasks-2/field-validation-types', [
    'headers' => ['Authorization' => "Bearer {accessToken}"]
]);

Example Response

[
  {
    "id": "required",
    "default_config": {},
    "sort_number": 1
  }
]

Show

Definition

GET /api/tasks-2/field-validation-types/{formFieldValidationType}

Request Keys

Key
Type
Default
Description

formFieldValidationType

string

-

Validation type ID (for example required).

Example Request

Example Response

Allowed validation type keys

  • required

  • email

  • phone

  • url

  • number

  • minmax

  • items-count

  • boolean

  • datetime

  • after-before

  • file

  • mimetypes

  • last-modified

  • in

  • not-in

Last updated